import itchat
from itchat import Core
from itchat import config

from itchat_desktop import components

UOS_PATCH_EXT_SPAM = "Go8FCIkFEokFCggwMDAwMDAwMRAGGvAESySibk50w5Wb3uTl2c2h64jVVrV7gNs06GFlWplHQbY/5FfiO++1yH4ykC" \
                     "yNPWKXmco+wfQzK5R98D3so7rJ5LmGFvBLjGceleySrc3SOf2Pc1gVehzJgODeS0lDL3/I/0S2SSE98YgKleq6Uqx6ndTy9yaL9qFxJL7eiA/R" \
                     "3SEfTaW1SBoSITIu+EEkXff+Pv8NHOk7N57rcGk1w0ZzRrQDkXTOXFN2iHYIzAAZPIOY45Lsh+A4slpgnDiaOvRtlQYCt97nmPLuTipOJ8Qc5p" \
                     "M7ZsOsAPPrCQL7nK0I7aPrFDF0q4ziUUKettzW8MrAaiVfmbD1/VkmLNVqqZVvBCtRblXb5FHmtS8FxnqCzYP4WFvz3T0TcrOqwLX1M/DQvcHa" \
                     "GGw0B0y4bZMs7lVScGBFxMj3vbFi2SRKbKhaitxHfYHAOAa0X7/MSS0RNAjdwoyGHeOepXOKY+h3iHeqCvgOH6LOifdHf/1aaZNwSkGotYnYSc" \
                     "W8Yx63LnSwba7+hESrtPa/huRmB9KWvMCKbDThL/nne14hnL277EDCSocPu3rOSYjuB9gKSOdVmWsj9Dxb/iZIe+S6AiG29Esm+/eUacSba0k8" \
                     "wn5HhHg9d4tIcixrxveflc8vi2/wNQGVFNsGO6tB5WF0xf/plngOvQ1/ivGV/C1Qpdhzznh0ExAVJ6dwzNg7qIEBaw+BzTJTUuRcPk92Sn6QDn" \
                     "2Pu3mpONaEumacjW4w6ipPnPw+g2TfywJjeEcpSZaP4Q3YV5HG8D6UjWA4GSkBKculWpdCMadx0usMomsSS/74QgpYqcPkmamB4nVv1JxczYIT" \
                     "IqItIKjD35IGKAUwAA=="

UOS_PATCH_CLIENT_VERSION = "2.0.0"


# patch auto-inject the components into the Core class
def patch() -> None:
    """
    Patch the itchat Core class
    :return:
    """
    # set attribute to the itchat config
    setattr(config, "UOS_PATCH_EXT_SPAM", UOS_PATCH_EXT_SPAM)
    setattr(config, "UOS_PATCH_CLIENT_VERSION", UOS_PATCH_CLIENT_VERSION)

    Core.get_QRuuid = components.get_qr_uuid
    Core.process_login_info = components.process_login_info
    Core.check_login = components.check_login
    Core.push_login = components.push_login
    Core.add_friend = components.add_friend
    itchat.originInstance = itchat.new_instance()
